<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.4) on Wed Nov 20 09:59:45 CET 2019 -->
<title>OAIPMHtype</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-11-20">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="OAIPMHtype";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/OAIPMHtype.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.openarchives.oai._2</a></div>
<h2 title="Class OAIPMHtype" class="title">Class OAIPMHtype</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.openarchives.oai._2.OAIPMHtype</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">OAIPMHtype</span>
extends <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></pre>
<div class="block"><p>Java class for OAI-PMHtype complex type.
 
 <p>The following schema fragment specifies the expected content contained within this class.
 
 <pre>
 &lt;complexType name="OAI-PMHtype">
   &lt;complexContent>
     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       &lt;sequence>
         &lt;element name="responseDate" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
         &lt;element name="request" type="{http://www.openarchives.org/OAI/2.0/}requestType"/>
         &lt;choice>
           &lt;element name="error" type="{http://www.openarchives.org/OAI/2.0/}OAI-PMHerrorType" maxOccurs="unbounded"/>
           &lt;element name="Identify" type="{http://www.openarchives.org/OAI/2.0/}IdentifyType"/>
           &lt;element name="ListMetadataFormats" type="{http://www.openarchives.org/OAI/2.0/}ListMetadataFormatsType"/>
           &lt;element name="ListSets" type="{http://www.openarchives.org/OAI/2.0/}ListSetsType"/>
           &lt;element name="GetRecord" type="{http://www.openarchives.org/OAI/2.0/}GetRecordType"/>
           &lt;element name="ListIdentifiers" type="{http://www.openarchives.org/OAI/2.0/}ListIdentifiersType"/>
           &lt;element name="ListRecords" type="{http://www.openarchives.org/OAI/2.0/}ListRecordsType"/>
         &lt;/choice>
       &lt;/sequence>
     &lt;/restriction>
   &lt;/complexContent>
 &lt;/complexType>
 </pre></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">OAIPMHtype</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="OAIPMHerrorType.html" title="class in org.openarchives.oai._2">OAIPMHerrorType</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getError()">getError</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the error property.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="GetRecordType.html" title="class in org.openarchives.oai._2">GetRecordType</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGetRecord()">getGetRecord</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the getRecord property.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="IdentifyType.html" title="class in org.openarchives.oai._2">IdentifyType</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getIdentify()">getIdentify</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the identify property.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="ListIdentifiersType.html" title="class in org.openarchives.oai._2">ListIdentifiersType</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getListIdentifiers()">getListIdentifiers</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the listIdentifiers property.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="ListMetadataFormatsType.html" title="class in org.openarchives.oai._2">ListMetadataFormatsType</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getListMetadataFormats()">getListMetadataFormats</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the listMetadataFormats property.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="ListRecordsType.html" title="class in org.openarchives.oai._2">ListRecordsType</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getListRecords()">getListRecords</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the listRecords property.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="ListSetsType.html" title="class in org.openarchives.oai._2">ListSetsType</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getListSets()">getListSets</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the listSets property.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="RequestType.html" title="class in org.openarchives.oai._2">RequestType</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRequest()">getRequest</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the request property.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.xml/javax/xml/datatype/XMLGregorianCalendar.html?is-external=true" title="class or interface in javax.xml.datatype" class="externalLink">XMLGregorianCalendar</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getResponseDate()">getResponseDate</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the responseDate property.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setGetRecord(org.openarchives.oai._2.GetRecordType)">setGetRecord</a></span>&#8203;(<a href="GetRecordType.html" title="class in org.openarchives.oai._2">GetRecordType</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the getRecord property.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setIdentify(org.openarchives.oai._2.IdentifyType)">setIdentify</a></span>&#8203;(<a href="IdentifyType.html" title="class in org.openarchives.oai._2">IdentifyType</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the identify property.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setListIdentifiers(org.openarchives.oai._2.ListIdentifiersType)">setListIdentifiers</a></span>&#8203;(<a href="ListIdentifiersType.html" title="class in org.openarchives.oai._2">ListIdentifiersType</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the listIdentifiers property.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setListMetadataFormats(org.openarchives.oai._2.ListMetadataFormatsType)">setListMetadataFormats</a></span>&#8203;(<a href="ListMetadataFormatsType.html" title="class in org.openarchives.oai._2">ListMetadataFormatsType</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the listMetadataFormats property.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setListRecords(org.openarchives.oai._2.ListRecordsType)">setListRecords</a></span>&#8203;(<a href="ListRecordsType.html" title="class in org.openarchives.oai._2">ListRecordsType</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the listRecords property.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setListSets(org.openarchives.oai._2.ListSetsType)">setListSets</a></span>&#8203;(<a href="ListSetsType.html" title="class in org.openarchives.oai._2">ListSetsType</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the listSets property.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setRequest(org.openarchives.oai._2.RequestType)">setRequest</a></span>&#8203;(<a href="RequestType.html" title="class in org.openarchives.oai._2">RequestType</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the request property.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setResponseDate(javax.xml.datatype.XMLGregorianCalendar)">setResponseDate</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.xml/javax/xml/datatype/XMLGregorianCalendar.html?is-external=true" title="class or interface in javax.xml.datatype" class="externalLink">XMLGregorianCalendar</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the responseDate property.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang" class="externalLink">equals</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang" class="externalLink">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang" class="externalLink">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang" class="externalLink">notify</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang" class="externalLink">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang" class="externalLink">toString</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long,int)" title="class or interface in java.lang" class="externalLink">wait</a></code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OAIPMHtype</h4>
<pre>public&nbsp;OAIPMHtype()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getResponseDate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getResponseDate</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.xml/javax/xml/datatype/XMLGregorianCalendar.html?is-external=true" title="class or interface in javax.xml.datatype" class="externalLink">XMLGregorianCalendar</a>&nbsp;getResponseDate()</pre>
<div class="block">Gets the value of the responseDate property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.xml/javax/xml/datatype/XMLGregorianCalendar.html?is-external=true" title="class or interface in javax.xml.datatype" class="externalLink"><code>XMLGregorianCalendar</code></a></dd>
</dl>
</li>
</ul>
<a id="setResponseDate(javax.xml.datatype.XMLGregorianCalendar)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setResponseDate</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setResponseDate&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.xml/javax/xml/datatype/XMLGregorianCalendar.html?is-external=true" title="class or interface in javax.xml.datatype" class="externalLink">XMLGregorianCalendar</a>&nbsp;value)</pre>
<div class="block">Sets the value of the responseDate property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.xml/javax/xml/datatype/XMLGregorianCalendar.html?is-external=true" title="class or interface in javax.xml.datatype" class="externalLink"><code>XMLGregorianCalendar</code></a></dd>
</dl>
</li>
</ul>
<a id="getRequest()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRequest</h4>
<pre class="methodSignature">public&nbsp;<a href="RequestType.html" title="class in org.openarchives.oai._2">RequestType</a>&nbsp;getRequest()</pre>
<div class="block">Gets the value of the request property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="RequestType.html" title="class in org.openarchives.oai._2"><code>RequestType</code></a></dd>
</dl>
</li>
</ul>
<a id="setRequest(org.openarchives.oai._2.RequestType)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRequest</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setRequest&#8203;(<a href="RequestType.html" title="class in org.openarchives.oai._2">RequestType</a>&nbsp;value)</pre>
<div class="block">Sets the value of the request property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="RequestType.html" title="class in org.openarchives.oai._2"><code>RequestType</code></a></dd>
</dl>
</li>
</ul>
<a id="getError()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getError</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="OAIPMHerrorType.html" title="class in org.openarchives.oai._2">OAIPMHerrorType</a>&gt;&nbsp;getError()</pre>
<div class="block">Gets the value of the error property.
 
 <p>
 This accessor method returns a reference to the live list,
 not a snapshot. Therefore any modification you make to the
 returned list will be present inside the JAXB object.
 This is why there is not a <CODE>set</CODE> method for the error property.
 
 <p>
 For example, to add a new item, do as follows:
 <pre>
    getError().add(newItem);
 </pre>
 
 
 <p>
 Objects of the following type(s) are allowed in the list
 <a href="OAIPMHerrorType.html" title="class in org.openarchives.oai._2"><code>OAIPMHerrorType</code></a></div>
</li>
</ul>
<a id="getIdentify()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIdentify</h4>
<pre class="methodSignature">public&nbsp;<a href="IdentifyType.html" title="class in org.openarchives.oai._2">IdentifyType</a>&nbsp;getIdentify()</pre>
<div class="block">Gets the value of the identify property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="IdentifyType.html" title="class in org.openarchives.oai._2"><code>IdentifyType</code></a></dd>
</dl>
</li>
</ul>
<a id="setIdentify(org.openarchives.oai._2.IdentifyType)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIdentify</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setIdentify&#8203;(<a href="IdentifyType.html" title="class in org.openarchives.oai._2">IdentifyType</a>&nbsp;value)</pre>
<div class="block">Sets the value of the identify property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="IdentifyType.html" title="class in org.openarchives.oai._2"><code>IdentifyType</code></a></dd>
</dl>
</li>
</ul>
<a id="getListMetadataFormats()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getListMetadataFormats</h4>
<pre class="methodSignature">public&nbsp;<a href="ListMetadataFormatsType.html" title="class in org.openarchives.oai._2">ListMetadataFormatsType</a>&nbsp;getListMetadataFormats()</pre>
<div class="block">Gets the value of the listMetadataFormats property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="ListMetadataFormatsType.html" title="class in org.openarchives.oai._2"><code>ListMetadataFormatsType</code></a></dd>
</dl>
</li>
</ul>
<a id="setListMetadataFormats(org.openarchives.oai._2.ListMetadataFormatsType)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setListMetadataFormats</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setListMetadataFormats&#8203;(<a href="ListMetadataFormatsType.html" title="class in org.openarchives.oai._2">ListMetadataFormatsType</a>&nbsp;value)</pre>
<div class="block">Sets the value of the listMetadataFormats property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="ListMetadataFormatsType.html" title="class in org.openarchives.oai._2"><code>ListMetadataFormatsType</code></a></dd>
</dl>
</li>
</ul>
<a id="getListSets()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getListSets</h4>
<pre class="methodSignature">public&nbsp;<a href="ListSetsType.html" title="class in org.openarchives.oai._2">ListSetsType</a>&nbsp;getListSets()</pre>
<div class="block">Gets the value of the listSets property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="ListSetsType.html" title="class in org.openarchives.oai._2"><code>ListSetsType</code></a></dd>
</dl>
</li>
</ul>
<a id="setListSets(org.openarchives.oai._2.ListSetsType)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setListSets</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setListSets&#8203;(<a href="ListSetsType.html" title="class in org.openarchives.oai._2">ListSetsType</a>&nbsp;value)</pre>
<div class="block">Sets the value of the listSets property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="ListSetsType.html" title="class in org.openarchives.oai._2"><code>ListSetsType</code></a></dd>
</dl>
</li>
</ul>
<a id="getGetRecord()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGetRecord</h4>
<pre class="methodSignature">public&nbsp;<a href="GetRecordType.html" title="class in org.openarchives.oai._2">GetRecordType</a>&nbsp;getGetRecord()</pre>
<div class="block">Gets the value of the getRecord property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="GetRecordType.html" title="class in org.openarchives.oai._2"><code>GetRecordType</code></a></dd>
</dl>
</li>
</ul>
<a id="setGetRecord(org.openarchives.oai._2.GetRecordType)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGetRecord</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setGetRecord&#8203;(<a href="GetRecordType.html" title="class in org.openarchives.oai._2">GetRecordType</a>&nbsp;value)</pre>
<div class="block">Sets the value of the getRecord property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="GetRecordType.html" title="class in org.openarchives.oai._2"><code>GetRecordType</code></a></dd>
</dl>
</li>
</ul>
<a id="getListIdentifiers()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getListIdentifiers</h4>
<pre class="methodSignature">public&nbsp;<a href="ListIdentifiersType.html" title="class in org.openarchives.oai._2">ListIdentifiersType</a>&nbsp;getListIdentifiers()</pre>
<div class="block">Gets the value of the listIdentifiers property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="ListIdentifiersType.html" title="class in org.openarchives.oai._2"><code>ListIdentifiersType</code></a></dd>
</dl>
</li>
</ul>
<a id="setListIdentifiers(org.openarchives.oai._2.ListIdentifiersType)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setListIdentifiers</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setListIdentifiers&#8203;(<a href="ListIdentifiersType.html" title="class in org.openarchives.oai._2">ListIdentifiersType</a>&nbsp;value)</pre>
<div class="block">Sets the value of the listIdentifiers property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="ListIdentifiersType.html" title="class in org.openarchives.oai._2"><code>ListIdentifiersType</code></a></dd>
</dl>
</li>
</ul>
<a id="getListRecords()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getListRecords</h4>
<pre class="methodSignature">public&nbsp;<a href="ListRecordsType.html" title="class in org.openarchives.oai._2">ListRecordsType</a>&nbsp;getListRecords()</pre>
<div class="block">Gets the value of the listRecords property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="ListRecordsType.html" title="class in org.openarchives.oai._2"><code>ListRecordsType</code></a></dd>
</dl>
</li>
</ul>
<a id="setListRecords(org.openarchives.oai._2.ListRecordsType)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setListRecords</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setListRecords&#8203;(<a href="ListRecordsType.html" title="class in org.openarchives.oai._2">ListRecordsType</a>&nbsp;value)</pre>
<div class="block">Sets the value of the listRecords property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="ListRecordsType.html" title="class in org.openarchives.oai._2"><code>ListRecordsType</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/OAIPMHtype.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
